Query PBX Information
Query PBX information, such as model, firmware version, uptime, etc.
Request URL
GET {base_url}/{api_path}/system/information?access_token={access_token}
Request parameters
No request parameters. Send the request URL directly to query PBX information.
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object<Device_Info> | The detailed information of the PBX. |
Device_Info
| Parameter | Type | Description |
|---|---|---|
| device_name | String | Device name. |
| model_name | String | Product model. |
| sn | String | Product serial number. |
| firmware_version | String | Firmware version. |
| system_time | String | System time. |
| up_time | Integer | System uptime. (Unit: Second) |
| system_date_format | String | The date display format of the system time. |
| system_time_format | String | The time display format of the system time. |
| timestamp | Integer | The timestamp of the current system time (Unit: Second). |
Examples
Request example
GET /openapi/v1.0/system/information?access_token=gwakjgu9ZBUfz36wql4ndsVKkryI0kdj Host: 192.168.5.150:8088
Response example
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"device_name": "PBX",
"model_name": "Business Communication Suite Software Edition",
"sn": "3631A2124XXX",
"firmware_version": "X.7.0.16",
"system_time": "2025/08/22 16:44:40",
"up_time": 24852,
"system_date_format": "YYYY/MM/DD",
"system_time_format": "hh:mm:ss",
"timestamp": 1755852280
}
}